import com.urbancode.air.CommandHelper

final def isWindows = (System.getProperty('os.name') =~ /(?i)windows/).find()
out = System.out;

final def workDir = new File('.').canonicalFile
final def props = new Properties();
final def inputPropsFile = new File(args[0]);
final def inputPropsStream = null;
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}


final def cmdHelper = new CommandHelper(workDir);
def asadmin = (props['path']!=null?(props['path']):"") +  (isWindows ? "asadmin.bat" : "asadmin");


def source = props['source'];
def appName = props['appName'];
def contextRoot = props['contextRoot'];
def argString = props['argString'];

def argVar = props['argString'];
def args = null;

if (argVar && argVar.trim() != "") {
    args = argVar.split('\n');
}

commandArgs = [asadmin, "deploy", "--contextroot", contextRoot, "--name", appName];

args.each {
   commandArgs << it;
}

commandArgs << source;

cmdHelper.runCommand("Deploying Application", commandArgs);
