import com.urbancode.air.CommandHelper

final def isWindows = (System.getProperty('os.name') =~ /(?i)windows/).find()
out = System.out;

final def workDir = new File('.').canonicalFile
final def props = new Properties();
final def inputPropsFile = new File(args[0]);
final def inputPropsStream = null;
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}

final def cmdHelper = new CommandHelper(workDir);

def asadmin = (props['path']!=null?(props['path']):"") +  (isWindows ? "asadmin.bat" : "asadmin");

def domainName = props['domainName'];
def domainDir = props['domainDir'];


def commandArgs = [asadmin, "stop-domain"]

if (domainDir) {
    commandArgs <<"--domaindir";
    commandArgs << domainDir;
}

if (domainName) {
    commandArgs << domainName;
}

cmdHelper.runCommand("Stopping Domain", commandArgs);
